Copyright: RtGauge © Tomasz Stanczak 05.08.95


&PrintyesRtGauge ¸ Tomasz Stanczak 05.08.95nono&AboutyesFALSEyesyesyesRtGauge rtgaugeyes11/03/96


Table of Contents

Installation

Properties

Methods

Technical Notes

Support

Warranty

License

Registration

Revision History

TRtGauge

TRtGaugeKind

Introduction

TRtBevel

Example

TRtTextKind

Caption

TextKind

BevelInner

BevelOuter

BevelWidth

BorderStyle

Percent

Kind

ShowText

FillColor

TextColor

MinValue

MaxValue

Value


Help file produced by  HELLLP! v2.4 , a product of Guy Software, on 11.03.96 for Tomasz Stanczak.

The above table of contents will be automatically completed and will also provide an excellent cross-reference for context strings and topic titles.  You may leave it as your main table of contents for your help file, or you may create your own and cause it to be displayed instead by using the I button on the toolbar.  This page will not be displayed as a topic.  It is given a context string of _._ and a HelpContextID property of 32517, but these are not presented for jump selection.

HINT:  If you do not wish some of your topics to appear in the table of contents as displayed to your users (you may want them ONLY as PopUps), move the lines with their titles and contexts to below this point.  If you do this remember to move the whole line, not part.  As an alternative, you may wish to set up your own table of contents, see Help under The Structure of a Help File.

  Do not delete any codes in the area above the Table of Contents title, they are used internally by HELLLP!


Introduction
RtGauge Component Ver. 1.02

Copyright 1995 Tomasz Stanczak

Compuserve: 100735,3273

This little component does what you have certainly seen - it shows a progress bar. There are two other progress bars which have been shipped with Delphi - TBiGauge and TGauge. To tell the truth it was based on TGauge. So if you ask yourself why doing another Gauge component, the answer is easy. The TBiGauge is a VBX, so you have to distribute this along with your application, if you use it. But the real reason is, that TRtGauge is smaller AND faster than the other. If the only thing you want to do, is a progress bar, no fancy led indicator or so, then look at it.

TRtGauge

Installation

Technical Notes

Support

Warranty

License

Registration

Revision History


Installation

From the Delphi main menu, select Options | Install Components | Add | Browse, and find RTGAUGE.DCU. Then comfirm your decision until Delphi beginns ist installation. The TRtGauge will let install itself onto RiT Palette. With Options | Palette tab you  can move it wherever you want.


TRtGauge

Properties	Methods	Example

Unit

RtGauge

Description

TRtGauges only purpose is to show a progress of some action being taken. First of all you have to decide how it should be shown. To do it set the property Kind appropriatly. Then if you want to see the percent numbers (ShowText). You can select colors of all three components elements: color of the background (Color property), the progress bar (FillColor) and text (TextColor). To change the look of the progress bars frame set BevelInner, BevelOuter, BorderStyle and BevelWidth.

To let it work set MinValueand MaxValue, the iterate through what you want to setting Valueproperty in every iteration.

Caution: for Windows to be able to paint TRtGauges progress you have to give it time to do it. Look Application.ProcessMessages or Form.Update method up.


Example

var

i: integer;

begin

Gauge.MinValue := 0;

Gauge.MaxValue := 10000;

for i:=0 to 10000 do

begin

Gauge.Value := i;	or Gauge.AddValue(1);

Application.ProcessMesages;

end;

end;


Properties

Align

BevelInner

BevelOuter

BevelWidth

BorderStyle

Caption

Color

Font

ParentColor

ParentShowHint

FillColor

Kind

MinValue

MaxValue

Percent

ShowHint

ShowText

TextColor

TextKind

ValueVisiblee


Methods

AddValue


BevelInner

Declaration

property BevelInner: TRtBevel;

Description

defines the look of the RtGauges inner frame. Defaults to bsNone


BevelOuter

Declaration

property BevelOuter: TRtBevel;

Description

defines the look of the RtGauges outer frame. Defaults to bsRaised


BevelWidth

Declaration

property BevelWidth: TBevelWidth;

Description

defines the with of the frame, if at least one of them was defined. Defaults to 1.


BorderStyle

Declaration

property BorderStyle: TBorderStyle;

Description

defines the border style of RtGauge. Defaults to bsNone


Percent

Declaration

property Percent: Longint;

Description

this property is read only. Returns Value as percentage of the action done.


Kind

Declaration

property Kind: TRtGaugeKind;

Description

defines the look of the progress bar. Default to gkHorizontalBar


ShowText

Declaration

property ShowText: Boolean;

Description

decides if text representation of Value as percent should be showed. Defaults to True.


FillColor

Declaration

property FillColor: TColor;

Description

defines the color of the progress bar.


TextColor

Declaration

property TextColor: TColor;

Description

defines the color of percent shown, if ShowText property have been set True.


MinValue

Declaration

property MinValue: Longint;

Description

defines minimum Value. Defaults to 0.


MaxValue

Declaration

property MaxValue: Longint;

Description

defines maximum possible value of Value property. Defaults to 100.


Value

Declaration

property Value: Longint;

Description

the value of the progress of the action being taken itself.


AddValue

Declaration

procedure AddValue(Value: Longint);

Description

adds a longint to Value and refreshes RtGauge.


Caption

Declaration

property Caption: string;

Description

defines a caption to be shown. It applies only if ShowText is True and TextKind=tkCaption.


TextKind

Declaration

property TextKind: TRtTextKind;

Description

defines what should be painted in the gauge bar, a percentage value, an absolute value or a defined caption.


TRtGaugeKind

Declaration

type TRtGaugeKind = (gkText, gkHorizontalBar, gkVerticalBar);

Description

kind of the RtGauge:

gkText:	no filled progress bar, only text percent value

gkHorizontal:	horizontal progress bar with or without text

gkVertical:	vertical progress bar with or without text


TRtBevel

Declaration

type TRtBevel = (bvNone, bvLowered, bvRaised);

Description

kind of the RtGauge outline bevel. This is the same as TPanelBevel from ExtCtrls unit. Its here so that you dont have to use ExtCtrls, where it is defined.


TRtTextKind

Declaration

type TRtTextKind = (tkPercentage, tkAbsolute, tkCaption);

Description

defines the kind of the text shown in the middle of the gauge. It can be a contents of the Percent property, Value property or a defined Caption.


Technical Notes

RtGauge is a descendant of a TGraphicControl, so that it does not use a Window handle.

The shareware version of this component runs only if Delphi will be found in memory.


Support

Support is available from the author via Compuserve Mail to 100735,3273 , Internet Mail to 100735.3273@compuserve.com or http://ourworld.compuserve.com/homepages/tomasz. Currently there is no postal, telephone, or fax support. All support is on a "best effort" basis, and no promise is made that all questions can be answered, problems solved, features added nor bugs exterminated.


License

Program and documentation Copyright 1995 Tomasz Stanczak (RiT).  Source code and design time use licensed for a single registered developer. Unlimited royalty-free distribution permitted as part of an EXE file, provided that internal copyright notice is not altered or removed.

Non-registered users may use the software to test it without any time frame, as long as they use the shareware version of RtGauge. A limited license is granted to copy and distribute shareware version of RtGauge only for the trial use of others.


Warranty

LIMITED WARRANTY

EXCEPT AS PROVIDED ABOVE, AUTHOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT.  SHOULD THE PROGRAM PROVE DEFECTIVE, THE PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL AUTHOR BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Registration

Product	Price	s&h
RtGauge	$10 (15 DM)	2$ (3 DM)
RtControls	$39 (60 DM)	2$ (3 DM)

Only following payment methods will be accepted:

Compuserve: GO SWREG

ID# 7190 RtGauge alone

ID# 7197 RtControls

Checks: Only checks drawn on a US bank valued in US$ or drawn on a German bank and valued in DM will be accepted. The checks should be made payable to Tomasz Stanczak. Please let us time after sending check, we cannot send you our product before the money is transferred.

Please fill in the Order Form and send with a payment to:

Tomasz Stanczak

Hardenbergstr. 8

31275 Lehrte

Germany

Credit Card Orders: You can order with MC, Visa, Amex, or Discover from Public (software) Library by calling 800-2424-PsL or 713-524-6394 or by FAX to 713-524-6398 or by CIS Email to 71355,470. You can also mail credit card orders to PsL at P.O.Box 35705, Houston, TX 77235-5705.

THE ABOVE NUMBERS ARE FOR CREDIT CARD ORDERS ONLY.

THE AUTHOR OF THIS PROGRAM CANNOT BE REACHED AT THESE NUMBERS.

Any questions about the status of the shipment of the order, refunds, registration options, product details, technical support, volume discounts, dealer pricing, site licenses, non-credit card orders, etc, must be directed to Tomasz Stanczak:

CIS: 	100735,3273

Internet:	100735.3273@compuserve.com

WWW:	http://ourworld.compuserve.com/homepages/tomasz

To order please specify Item# 14429, RtControls Delphi VCL Pack, price $39 plus s&h $2 (e-mail) or $4 (Europe) or $6 overseas.

To insure that you get the latest version, PsL will notify us the day of your order and we will ship the product directly to you.

Shipping:

Currently only e-mail shipping is supported, so please always state your e-mail address!. In the future post shipping including printed documentation will be possible (no promise!).

Registered users will receive components full source code. Contact the author for multi-user discounts and site licenses.


Order Form

Name (block

letters please):	______________________________________________________

Company Name:	______________________________________________________

Street Address:	______________________________________________________

______________________________________________________

City, State,

Zip Code:	______________________________________________________

Country:	______________________________________________________

Phone Number:	______________________________________________________

E-Mail Address:	______________________________________________________

Product Name	Quantity	Price

__________________________________________________________________

__________________________________________________________________

__________________________________________________________________

__________________________________________________________________

Shipping__________________________________________________________

Total Fee_________________________________________________________


Revision History

1.02	small painting error resolved.

1.01	properties Caption, TextKind added.

1.00	this is the intial version.